## MgEntryNone

MgEntryNone — Default handling of unknown data types

## Synopsis

    struct      MgEntryNone;
    struct      MgEntryNonePrivate;
    guint       mg_entry_none_get_type          (void);
    GtkWidget*  mg_entry_none_new               (MgDataHandler *dh,
                                                 GdaValueType type);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkViewport
                                     +----MgEntryShell
                                           +----MgEntryWrapper
                                                 +----MgEntryNone

## Implemented Interfaces

MgEntryNone implements MgDataEntry and AtkImplementorIface.

## Description

## Details

### struct MgEntryNone

    struct MgEntryNone;

### struct MgEntryNonePrivate

    struct MgEntryNonePrivate;

### mg_entry_none_get_type ()

    guint       mg_entry_none_get_type          (void);

Returns : |

### mg_entry_none_new ()

    GtkWidget*  mg_entry_none_new               (MgDataHandler *dh,
                                                 GdaValueType type);

Creates a new widget which is mainly a GtkEntry

`dh` : | the data handler to be used by the new widget
`type` : | the requested data type (compatible with `dh`)
Returns : | the new widget